LIBJXL: JxlLayerInfo Struct Reference

LIBJXL

Loading...
Searching...
No Matches
Public Attributes | List of all members
JxlLayerInfo Struct Reference
JPEG XL library (libjxl) » Image and frame metadata

`#include <codestream_header.h>`

Collaboration diagram for JxlLayerInfo:
[legend]

## Public Attributes
JXL_BOOL | have_crop
int32_t | crop_x0
int32_t | crop_y0
uint32_t | xsize
uint32_t | ysize
JxlBlendInfo | blend_info
uint32_t | save_as_reference

## Detailed Description

The information about layers. When decoding, if coalescing is enabled (default), this can be ignored. When encoding, these settings apply to the pixel data given to the encoder, the encoder could choose an internal representation that differs.

## Member Data Documentation

## ◆ blend_info

JxlBlendInfo JxlLayerInfo::blend_info

The blending info for the color channels. Blending info for extra channels has to be retrieved separately using JxlDecoderGetExtraChannelBlendInfo.

## ◆ crop_x0

int32_t JxlLayerInfo::crop_x0

Horizontal offset of the frame (can be negative).

## ◆ crop_y0

int32_t JxlLayerInfo::crop_y0

Vertical offset of the frame (can be negative).

## ◆ have_crop

JXL_BOOL JxlLayerInfo::have_crop

Whether cropping is applied for this frame. When decoding, if false, crop_x0 and crop_y0 are set to zero, and xsize and ysize to the main image dimensions. When encoding and this is false, those fields are ignored. When decoding, if coalescing is enabled (default), this is always false, regardless of the internal encoding in the JPEG XL codestream.

## ◆ save_as_reference

uint32_t JxlLayerInfo::save_as_reference

After blending, save the frame as reference frame with this ID (0-3). Special case: if the frame duration is nonzero, ID 0 means "will not be referenced in the future". This value is not used for the last frame. When encoding, ID 3 is reserved to frames that are generated internally by the encoder, and should not be used by applications.

## ◆ xsize

uint32_t JxlLayerInfo::xsize

Width of the frame (number of columns).

## ◆ ysize

uint32_t JxlLayerInfo::ysize

Height of the frame (number of rows).

The documentation for this struct was generated from the following file:

- jxl/codestream_header.h